petit nouveau

trazomtg
Messages : 157
Inscription : 19 juillet 2016, 13:27

petit nouveau

Message par trazomtg » 31 mars 2017, 10:58

bonjour à tous,
je viens d'installer CentOS7 et je suis un peu perdu surtout en ce qui concerne l'installation de paquets et d'applications ainsi que l'utilisation des depots.
j'ai utilisé l'option "serveur avec gui". j'ai aussi utilisé d'autres options, par exemple, "bureau Gnome" car je pensais que l'on pouvait choisir des applis à installer dans plusieurs propositions et que CentOS installer toutes les apllis des differentes options, mais ca n'a pas l'air d'etre le cas.
j'utilisais Debian 8 et l'outil Synaptic etait bien pratique. je ne trouve pas d'equivalent sur CentOS et apres l'avoir installe je vois que je n'ai presque pas d'applications disponibles et que il ne m'en ait pas propose beaucoup avec 'installateur de logiciels" ou "gnome paquets".
je ne trouve pas non plus ou l'on peut obtenir la liste des applis et des paquets disponibles.

par exemple: je voudrais installer Claws Mail mais il ne figure pas dans la liste des applis disponibles. je n'ai presque rien. Meme chose pour tout ce qui concerne GNUPG. etc.....

j'ai telecharge le fichier ISO : CentOS-7-x86_64-Everything-1611.iso. Il fait 8.3 G. Puis je le mettre sur une cle usb et reinstaller à partir de cette clé?
merci a vous de me conseiller quelques articles à lire. (si possible en français)
cordialement
T.

Avatar de l’utilisateur
nouvo09
Messages : 2159
Inscription : 20 octobre 2009, 08:14
Localisation : Paris, France

Re: petit nouveau

Message par nouvo09 » 31 mars 2017, 12:27

Bonjour et bienvenue!

Tu peux toujours installer à partir du DVD Everything il a un (des) répertoire's) contenant les fichiers rpm disponibles. Il est préférable de les installer avec yum, qui signalera et tentera de résoudre les dépendances.

Ensuite tu as la commande

yum grouplist

qui va lister les groupes d'applications nécessaires pour un usage déterminé.

Voilà, patauge un peu là-dedans.

Il faudra aussi penser à rajouter les dépôts EPEL, Centosplus, rpmfusion qui contiennent des applications non fournies pas Centos, pour une question de droits (ou autre).
C'est pas parce que c'est difficile qu'on ose pas,
c'est parce qu'on ose pas que c'est difficile !

trazomtg
Messages : 157
Inscription : 19 juillet 2016, 13:27

Re: petit nouveau

Message par trazomtg » 31 mars 2017, 13:23

merci pour ton aide.
je suis en train de patauger.

j'ai lance la commande:

[root@CentOS-msi ~]# yum groupinfo "Outils d'administration graphique"

et j'obtiens:

[root@CentOS-msi ~]# yum groupinstall "Outils d'administration graphique"
Modules complémentaires chargés : changelog, fastestmirror, langpacks, remove-with-leaves
Aucun fichier de groupe n'est installé.
Maybe run: yum groups mark convert (see man yum)
Loading mirror speeds from cached hostfile
* base: mirror.plusserver.com
* extras: miroir.univ-paris13.fr
* updates: fr.mirror.babylon.network
Le paquet system-config-users-docs-1.0.9-6.el7.noarch est déjà installé dans sa dernière version
Warning: Group graphical-admin-tools does not have any packages to install.
Maybe run: yum groups mark install (see man yum)
Aucun paquet disponible pour installation ou mise à jour dans les groupes demandés


c'est bizarre non?

trazomtg
Messages : 157
Inscription : 19 juillet 2016, 13:27

Re: petit nouveau

Message par trazomtg » 31 mars 2017, 14:56

autre question:

j'ai trouve ce site:

https://centos.pkgs.org/

est ce qu'il est valable?
quels repositories puis je ou dois ajouter?

par exemple, je cherche à installer le package "claws-mail" et quelques plugins. Comment savoir dans quel repository il se situe?

Merci
T

Avatar de l’utilisateur
remi
Messages : 220
Inscription : 20 octobre 2009, 07:10
Localisation : Champagne...
Contact :

Re: petit nouveau

Message par remi » 31 mars 2017, 17:43

Pour un débutant, le seul dépôt conseillé est à mon avis EPEL => https://fedoraproject.org/wiki/EPEL

Pour les autres, il me semble préférable d'attendre d'avoir bien pris en main le système et bien compris les mécanismes de gestion des paquets.


P.S. claws-mail est dans EPEL (testing pour EPEL-7)
Contributeur EPEL et CentOS SCLo SIG
Des RPM pour CentOS sur https://rpms.remirepo.net

Avatar de l’utilisateur
remi
Messages : 220
Inscription : 20 octobre 2009, 07:10
Localisation : Champagne...
Contact :

Re: petit nouveau

Message par remi » 31 mars 2017, 17:47

On peut aussi ajouter RPMFusion pour le multimédia (et les trucs pas libres ou sous brevet logiciel)
=> https://rpmfusion.org/
Contributeur EPEL et CentOS SCLo SIG
Des RPM pour CentOS sur https://rpms.remirepo.net

trazomtg
Messages : 157
Inscription : 19 juillet 2016, 13:27

Re: petit nouveau

Message par trazomtg » 31 mars 2017, 19:29

merci,
je fais ce que tu m'as dit.
j'ai un peu pataugé et ma première impression est que CentOS a l'air solide et fiable et que je vais quand meme devoir apprendre la philosophie de l'OS, ce qui n'est pas pour me deplaire.
je compte, si tout va bien, installer Nagios et certains modules de Tivoli.
il me faut aussi en apprendre (beaucoup!) sur la securité car je n'y connais rien.

Bon week-end
T.

Beta-Pictoris
Messages : 1017
Inscription : 07 janvier 2014, 21:48
Localisation : Angers, France

Re: petit nouveau

Message par Beta-Pictoris » 31 mars 2017, 20:04

trazomtg a écrit :je suis en train de patauger.

j'ai lance la commande:

[root@CentOS-msi ~]# yum groupinfo "Outils d'administration graphique"

et j'obtiens:

[root@CentOS-msi ~]# yum groupinstall "Outils d'administration graphique"
Warning: Group graphical-admin-tools does not have any packages to install.
Maybe run: yum groups mark install (see man yum)
Aucun paquet disponible pour installation ou mise à jour dans les groupes demandés
Ton groupe de paquets ne contient que des paquets optionnels.
Tu peux les installer comme ceci:

Code : Tout sélectionner

yum groups install graphical-admin-tools --setopt=group_package_types=optional
Note que seulement les groupes d'environnement fourniront quelque chose de fonctionnel.

trazomtg
Messages : 157
Inscription : 19 juillet 2016, 13:27

Re: petit nouveau

Message par trazomtg » 01 avril 2017, 00:30

merci!!!
que de doc à lire!!!!
T.

trazomtg
Messages : 157
Inscription : 19 juillet 2016, 13:27

Re: petit nouveau

Message par trazomtg » 01 avril 2017, 11:52

bonjour,
j'ai installé claws-mail (je ne sais plus comment j'ai fait!!!) mais je ne trouve pas les packages individuels des plugins.
j'ai fait:
yum update --enablerepo=epel-testing

puis:
yum install claws-mail-plugins

mais j'ai les erreurs suivantes:
---> Le paquet claws-mail-plugins-vcalendar.x86_64 0:3.11.1-5.el7 sera installé
--> Traitement de la dépendance : libicalvcal.so.0()(64bit) pour le paquet : claws-mail-plugins-vcalendar-3.11.1-5.el7.x86_64
--> Traitement de la dépendance : libicalss.so.0()(64bit) pour le paquet : claws-mail-plugins-vcalendar-3.11.1-5.el7.x86_64
--> Traitement de la dépendance : libical.so.0()(64bit) pour le paquet : claws-mail-plugins-vcalendar-3.11.1-5.el7.x86_64
---> Le paquet perl-Crypt-OpenSSL-Bignum.x86_64 0:0.04-18.el7 sera installé
---> Le paquet perl-Crypt-OpenSSL-Random.x86_64 0:0.04-21.el7 sera installé
---> Le paquet perl-Net-SMTP-SSL.noarch 0:1.01-13.el7 sera installé
--> Résolution des dépendances terminée
Erreur : Paquet : claws-mail-plugins-vcalendar-3.11.1-5.el7.x86_64 (epel-testing)
Requiert : libicalvcal.so.0()(64bit)
Erreur : Paquet : claws-mail-plugins-vcalendar-3.11.1-5.el7.x86_64 (epel-testing)
Requiert : libical.so.0()(64bit)
Erreur : Paquet : claws-mail-plugins-vcalendar-3.11.1-5.el7.x86_64 (epel-testing)
Requiert : libicalss.so.0()(64bit)


je voudrais installer les plugins individuellement et pas tout d'un coup.
ou puis les trouver?
merci

Répondre